package lib.turtle.planner;

import kernel.turtle.Types.InteractDirections;

enum Action {
	Forward;
	Back;
	Up;
	Down;
	TurnLeft;
	TurnRight;
	Clear(dir:InteractDirections); // Digs in the direction. Does not fail if nothing to dig. Trys again if still blocked.
	FullTunnel; // Digs front, move forward, dig down. Like a tunnel for a player.
	HalfTunnel; // Just clears s 1x2 tunnel infront of it. Like FullTunnel but  without moving.
}
